# Uses of Enum Class
java.security.DrbgParameters.Capability

Packages that use DrbgParameters.Capability
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of DrbgParameters.Capability in java.security

Subclasses with type arguments of type DrbgParameters.Capability in java.security
Modifier and Type
Class
Description
`static enum`
`DrbgParameters.Capability`
The reseedable and prediction resistance capabilities of a DRBG.
Methods in java.security that return DrbgParameters.Capability
Modifier and Type
Method
Description
`DrbgParameters.Capability`
DrbgParameters.Instantiation.`getCapability()`
Returns the capability.
`static DrbgParameters.Capability`
DrbgParameters.Capability.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DrbgParameters.Capability[]`
DrbgParameters.Capability.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.security with parameters of type DrbgParameters.Capability
Modifier and Type
Method
Description
`static DrbgParameters.Instantiation`
DrbgParameters.`instantiation(int strength, DrbgParameters.Capability capability, byte[] personalizationString)`
Generates a `DrbgParameters.Instantiation` object.